Overview | Modules | Class Hierarchy | Classes | Members

Static Public Member Functions
tlp::SerializableType< T > Class Template Reference

`#include <PropertyTypes.h>`

Inheritance diagram for tlp::SerializableType< T >:
[legend]
Collaboration diagram for tlp::SerializableType< T >:
[legend]

List of all members.

## Static Public Member Functions

- static void write (std::ostream &oss, const typename TypeInterface< T >::RealType &v)
- static bool read (std::istream &iss, typename TypeInterface< T >::RealType &v)

### template<typename T>
class tlp::SerializableType< T >

## Member Function Documentation

template<typename T>

static bool tlp::SerializableType< T >::read | ( | std::istream & | iss,
|  | typename TypeInterface< T >::RealType & | v
| ) |  | `[inline, static]`

template<typename T>

static void tlp::SerializableType< T >::write | ( | std::ostream & | oss,
|  | const typename TypeInterface< T >::RealType & | v
| ) |  | `[inline, static]`

Tulip Software by LaBRI Visualization Team 2001 - 2012